For the complete documentation index, see llms.txt. This page is also available as Markdown.

Projekt Phasen

Structure CRM project phases in VARIO Cloud via API, including creating, updating, activating, deactivating, deleting and reordering phases.

CRM Projekt-Phasen

moves a line to a new position

put
Path parameters
projectPhaseIdinteger · int64Required
positioninteger · int32Required
Responses
200

OK

application/json

CRM Projekt-Phasen

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

labelstring · max: 255Required

Bezeichnung

descriptionstringOptional

Beschreibung

sortOrderinteger · int32Optional

Sortierreihenfolge

activebooleanRead-onlyOptional

aktiv

put/erp/crm-projects/phases/{projectPhaseId}/move/{position}
PUT /erp/crm-projects/phases/{projectPhaseId}/move/{position} HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "label": "text",
  "description": "text",
  "sortOrder": 1,
  "active": true
}

Find an existing Resource by identifier

get
Path parameters
idinteger · int64Required

an identifier

Responses
200

successful operation

application/json

CRM Projekt-Phasen

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

labelstring · max: 255Required

Bezeichnung

descriptionstringOptional

Beschreibung

sortOrderinteger · int32Optional

Sortierreihenfolge

activebooleanRead-onlyOptional

aktiv

get/erp/crm-projects/phases/{id}
GET /erp/crm-projects/phases/{id} HTTP/1.1
Host: api.example.com
Accept: */*
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "label": "text",
  "description": "text",
  "sortOrder": 1,
  "active": true
}

Update existing Resource

put
Path parameters
idinteger · int64Required

an identifier

Body

CRM Projekt-Phasen

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

labelstring · max: 255Required

Bezeichnung

descriptionstringOptional

Beschreibung

sortOrderinteger · int32Optional

Sortierreihenfolge

activebooleanRead-onlyOptional

aktiv

Responses
200

successful operation

application/json

CRM Projekt-Phasen

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

labelstring · max: 255Required

Bezeichnung

descriptionstringOptional

Beschreibung

sortOrderinteger · int32Optional

Sortierreihenfolge

activebooleanRead-onlyOptional

aktiv

put/erp/crm-projects/phases/{id}
PUT /erp/crm-projects/phases/{id} HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 90

{
  "version": "text",
  "info": {},
  "id": "text",
  "label": "text",
  "description": "text",
  "sortOrder": 1
}
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "label": "text",
  "description": "text",
  "sortOrder": 1,
  "active": true
}

Delete an existing Resource

delete
Path parameters
idinteger · int64Required

an identifier

Responses
200

successful operation

application/json
contextstringOptional

message context

messageValuestringOptional

message

delete/erp/crm-projects/phases/{id}
DELETE /erp/crm-projects/phases/{id} HTTP/1.1
Host: api.example.com
Accept: */*
{
  "context": "text",
  "messageValue": "text"
}

deaktiviert eine bestehende Resource

put
Path parameters
idinteger · int64Required

identifier

Responses
200

successful operation

application/json

CRM Projekt-Phasen

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

labelstring · max: 255Required

Bezeichnung

descriptionstringOptional

Beschreibung

sortOrderinteger · int32Optional

Sortierreihenfolge

activebooleanRead-onlyOptional

aktiv

put/erp/crm-projects/phases/{id}/deactivate
PUT /erp/crm-projects/phases/{id}/deactivate HTTP/1.1
Host: api.example.com
Accept: */*
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "label": "text",
  "description": "text",
  "sortOrder": 1,
  "active": true
}

aktiviert eine bestehende Resource

put
Path parameters
idinteger · int64Required

identifier

Responses
200

successful operation

application/json

CRM Projekt-Phasen

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

labelstring · max: 255Required

Bezeichnung

descriptionstringOptional

Beschreibung

sortOrderinteger · int32Optional

Sortierreihenfolge

activebooleanRead-onlyOptional

aktiv

put/erp/crm-projects/phases/{id}/activate
PUT /erp/crm-projects/phases/{id}/activate HTTP/1.1
Host: api.example.com
Accept: */*
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "label": "text",
  "description": "text",
  "sortOrder": 1,
  "active": true
}

Create new Resource

post
Body

CRM Projekt-Phasen

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

labelstring · max: 255Required

Bezeichnung

descriptionstringOptional

Beschreibung

sortOrderinteger · int32Optional

Sortierreihenfolge

activebooleanRead-onlyOptional

aktiv

Responses
200

successful operation

application/json

CRM Projekt-Phasen

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

labelstring · max: 255Required

Bezeichnung

descriptionstringOptional

Beschreibung

sortOrderinteger · int32Optional

Sortierreihenfolge

activebooleanRead-onlyOptional

aktiv

post/erp/crm-projects/phases
POST /erp/crm-projects/phases HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 90

{
  "version": "text",
  "info": {},
  "id": "text",
  "label": "text",
  "description": "text",
  "sortOrder": 1
}
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "label": "text",
  "description": "text",
  "sortOrder": 1,
  "active": true
}

Last updated

Was this helpful?